// MainDialogSettings_General.h : header file
//
#if !defined(_MAINDIALOGSETTINGS_GENERAL_H_)
#define _MAINDIALOGSETTINGS_GENERAL_H_

#include "PropertyEditorDlg.h"
#include "FCool.h"
#include "CfgEdit.h"
#include "CfgComboBox.h"

/////////////////////////////////////////////////////////////////////////////
// CMainDialogSettings_General dialog
class CXmlMainDialog;

class CMainDialogSettings_General : public CPropertyEditorDlg
{
// Construction
public:
	CMainDialogSettings_General(CWnd* pParent = NULL);   // standard constructor

	void SetData(CXmlBaseElement* element);
	void StoreData();
	void OnDataUpdate();

// Dialog Data
	//{{AFX_DATA(CMainDialogSettings_General)
	enum { IDD = IDD_MAIN_DIALOG_SETTINGS_GENERAL };
	CCoolButton	cmdBrowse_;
	CCfgEdit	txtIcon_;
	CCfgEdit	txtCaption_;
	CCfgComboBox	cboInitialSize_;
	CCfgComboBox	cboSplitterPos_;
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainDialogSettings_General)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMainDialogSettings_General)
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	afx_msg void OnCmdBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();
	
	void LoadIcon();
	void UpdateWindowSize();

	CXmlMainDialog* settings_;
	CXmlProject* project_;
	bool initialized_;
	CImageList imageList_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_MAINDIALOGSETTINGS_GENERAL_H_)
